&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 29 February 2004
apt-config
8
APT

# apt-config

APT Configuration Query program

          apt-config
          -hv
          -o=config string
          -c=file

             shell
             dump

## Description

`apt-config` is an internal program used by various portions of the APT suite to provide consistent configurability. It accesses the main configuration file `/etc/apt/apt.conf` in a manner that is easy to use by scripted applications.

Unless the `-h`, or `--help` option is given one of the commands below must be present.

shell

  shell is used to access the configuration information from a shell script. It is given pairs of arguments, the first being a shell variable and the second the configuration value to query. As output it lists a series of shell assignments commands for each present value. In a shell script it should be used like:

      OPTS="-f"
      RES=`apt-config shell OPTS MyApp::options`
      eval $RES

  This will set the shell environment variable $OPTS to the value of MyApp::options with a default of `-f`.

  The configuration item may be postfixed with a /[fdbi]. f returns file names, d returns directories, b returns true or false and i returns an integer. Each of the returns is normalized and verified internally.

dump

  Just show the contents of the configuration space.

## options

&apt-cmdblurb;

&apt-commonoptions;

## See Also

&apt-conf;

## Diagnostics

`apt-config` returns zero on normal operation, decimal 100 on error.

&manbugs;